package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会员发票抬头对象 member_invoice_title
 *
 * @author jsowell
 * @date 2023-04-13
 */
@Data
public class MemberInvoiceTitle extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 会员id
     */
    @Excel(name = "会员id")
    private String memberId;

    /**
     * 抬头类型（1-单位；2-个人）
     */
    @Excel(name = "抬头类型", readConverterExp = "1=-单位；2-个人")
    private String titleType;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String name;

    /**
     * 税号
     */
    @Excel(name = "税号")
    private String taxId;

    /**
     * 单位地址
     */
    @Excel(name = "单位地址")
    private String unitAddress;

    /**
     * 电话号码
     */
    @Excel(name = "电话号码")
    private String phoneNumber;

    private String email;

    /**
     * 开户银行
     */
    @Excel(name = "开户银行")
    private String bankName;

    /**
     * 银行账户
     */
    @Excel(name = "银行账户")
    private String bankAccountNumber;

    private String defaultFlag;

    /**
     * 删除标识（0-正常；1-删除）
     */
    private String delFlag;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("id", getId())
                .append("memberId", getMemberId())
                .append("titleType", getTitleType())
                .append("name", getName())
                .append("taxId", getTaxId())
                .append("unitAddress", getUnitAddress())
                .append("phoneNumber", getPhoneNumber())
                .append("bankName", getBankName())
                .append("bankAccountNumber", getBankAccountNumber())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
